#pragma once

#include "CoreMinimal.h"
#include "CompetenceAction.h"
#include "TunableStat.h"
#include "GameplayTagContainer.h"
#include "SetRateModifierAction.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class USetRateModifierAction : public UCompetenceAction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FTunableStat _chargeRate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FTunableStat _maxCharge;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _secondsToAdd;

	UPROPERTY(EditAnywhere)
	FGameplayTag _rateModifierTagToCompute;

public:
	USetRateModifierAction();
};

FORCEINLINE uint32 GetTypeHash(const USetRateModifierAction) { return 0; }
